Bug 187280 - cannot play sound after package upgrade
cannot play sound after package upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 13:53 EST by Vladimir Kotal
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:10:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Config Soundcard log (8.61 KB, text/plain)
2006-03-29 13:53 EST, Vladimir Kotal
no flags Details
differences between dmesg of non-working and working kernel (on the same HW) (7.73 KB, text/plain)
2006-03-31 15:55 EST, Vladimir Kotal
no flags Details
/proc/pci contents (4.07 KB, text/plain)
2006-03-31 16:14 EST, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2006-03-29 13:53:55 EST
Description of problem:

cannot play sound after upgrading packages (via Applications -> System tools ->
Software updater)

Version-Release number of selected component (if applicable):

[root@erazim ~]# rpm -q kernel
kernel-2.6.15-1.2054_FC5
kernel-2.6.16-1.2069_FC5


How reproducible:

play any sound:

[techie@erazim uderka]$ ogg123 Vytvarna\ uderka11.ogg
=== Could not load default driver and no driver specified in config file. Exiting.



Steps to Reproduce:
1. upgrade packages
2. play sound
  
Actual results:

does not play any sound

Expected results:

should play any sound

Additional info:

see attached scsound.log
Comment 1 Vladimir Kotal 2006-03-29 13:53:55 EST
Created attachment 127011 [details]
System Config Soundcard log
Comment 2 Vladimir Kotal 2006-03-29 14:32:24 EST
curiously, it has somehow be connected to the fact that I have enabled/disabled
one of the NICs in the system by setting onboot value in
/etc/sysconfig/networking/devices/ifcfg-eth[01] because after enabling it again,
both modules are in place:

[techie@erazim ~]$ cat /proc/asound/modules
 0 snd_emu10k1
 1 cx88_alsa

and sounds plays fine
Comment 3 Vladimir Kotal 2006-03-31 15:53:58 EST
This is really funny - I have rebooted the system and it seems that each time kernel initializes/probes 
devices in different order which causes disfunctionalities. In attached file erazim-dmesg-diff.txt are 
differences between reboot after which sound did not work and reboot after which sound did work (no I 
have not changed any HW config between reboots)
Comment 4 Vladimir Kotal 2006-03-31 15:55:29 EST
Created attachment 127154 [details]
differences between dmesg of non-working and working kernel (on the same HW)
Comment 5 Vladimir Kotal 2006-03-31 16:11:56 EST
this seems to be pretty common problem - try searching google for 'EMU10K1_Audigy: probe  failed with 
error'
Comment 6 Vladimir Kotal 2006-03-31 16:14:01 EST
Created attachment 127158 [details]
/proc/pci contents

seems that there is IRQ clash
Comment 7 Dave Jones 2006-10-16 17:22:13 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Dave Jones 2006-11-24 18:10:33 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 9 Vladimir Kotal 2006-11-24 18:27:31 EST
Sound playing and recording (see bug 191076) works now so this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.